<?php
if(isSet($_GET['opinia'])){
  $str = substr($_GET['opinia'], 0, 255);
  $str = strip_tags($str);
  if($str != ""){
    file_put_contents("./opinie.txt", "$str\n", FILE_APPEND);
  }
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Moja strona WWW</title>
</head>
<body>
<div>
<strong>Wyraź swoją opinię:</strong><br />
(maksymalnie 255 znaków)
<br />
</div>
<form method="get" action="http://localhost/index.php">
<div>
<textarea rows="5" cols="20" name="opinia"></textarea>
<br />
<input type="submit" value="Wyślij" />
</div>
</form>
<p>Dotychczasowe opinie:</p>
<div>
<?php
$str = "";
if(file_exists("./opinie.txt")){
  $str = file_get_contents('./opinie.txt');
  $str = strip_tags($str);
  $str = nl2br($str);
}
if($str != ""){
  echo $str;
}
else{
  echo "Brak opinii. Możesz dodać pierwszą.";
}
?>
</div>
</body>
</html>